routes/web.php
<?php

use App\Http\Controllers\Admin\CkeditorController;
use App\Http\Controllers\Front\Ad\AdsController;
use App\Http\Controllers\Front\Blog\BlogController;
use App\Http\Controllers\Front\Home\HomeController;
use App\Http\Controllers\Front\Panel\User\UserPanelController;
use App\Http\Controllers\PageController;
use App\Http\Controllers\Payment\PaymentController;
use App\Http\Controllers\SeedController;
use App\Http\Controllers\SeedPostController;
use App\Http\Controllers\TelegramController;
use App\Models\Ad\Ad;
use App\Models\Ad\Category;
use App\Models\Blog\Post;
use App\Models\User;

//use Corcel\Model\Post;
use Corcel\Model\Taxonomy;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Telegram\Bot\Api;
use Telegram\Bot\Laravel\Facades\Telegram;

/**
 * @param $post
 * @return Closure
 */
//seed
Route::group(['as' => ''], function () {
    Route::get('seed/all', function () {
        ini_set('max_execution_time', 0);
        (new SeedController())->adAll();
        (new SeedPostController())->postAll();
        return 'seed all successful';
    });
    Route::get('seed/ad/all', [
        SeedController::class,
        'adAll',
    ]);
    Route::get('seed/ads', [
        SeedController::class,
        'ads',
    ]);
    Route::get('seed/tags', [
        SeedController::class,
        'tags',
    ]);
    Route::get('seed/categories', [
        SeedController::class,
        'categories',
    ]);
    Route::get('seed/post/all', [
        SeedPostController::class,
        'postAll',
    ]);
    Route::get('seed/posts', [
        SeedPostController::class,
        'posts',
    ]);
    Route::get('seed/posts/tags', [
        SeedPostController::class,
        'tags',
    ]);
    Route::get('seed/posts/categories', [
        SeedPostController::class,
        'categories',
    ]);
});
//old Front
/*Route::group(['prefix' => ''], function () {
 //home
 Route::view('/', 'base')
      ->name('home');
 Route::get('product-category/{slug}/page/{page?}', [
  PageController::class,
  'adCategory'
 ])

  //ads
      ->name('ads-category');
 Route::get('product-category/{slug}', [
  PageController::class,
  'adCategory'
 ])
      ->name('index-ads-category');
 Route::get('product-tag/{slug}/page/{page?}', [
  PageController::class,
  'adTag'
 ])
      ->name('ads-tag');
 Route::get('product-tag/{slug}', [
  PageController::class,
  'adTag'
 ])
      ->name('index-ads-tag');
 Route::get('ads/{slug}', [
  PageController::class,
  'ad'
 ])
      ->name('ad');
//blog
 Route::get('weblog-2/{page?}', [
  BlogController::class,
  'index'
 ])
      ->name('blog-index');
 Route::get('blog/{year}/{month}/{day}/{slug}', [
  BlogController::class,
  'post'
 ])
      ->name('blog-post');
 Route::get('tags/{slug}', [
  BlogController::class,
  'tags'
 ])
      ->name('post-tags');
});*/
// Admin
Route::group([
    'as' => 'admin.',
    'middleware' => 'throttle'
], function () {
    Route::post('ckeditor/upload', [
        CkeditorController::class,
        'upload'
    ])
        ->name('ckeditor.upload');
});
//new Front
Route::group([
    'as' => 'front.',
    'middleware' => ['cacheResponse']
], function () {
    Route::get('', [
        HomeController::class,
        'frontHome'
    ])
        ->middleware('cacheResponse')
        ->name('home');
    Route::get('login-register', [
        HomeController::class,
        'frontLoginRegister'
    ])
        ->withoutMiddleware('cacheResponse')
        ->name('login-register');
    Route::get('قوانین-و-مقررات', [
        HomeController::class,
        'frontRules'
    ])
        ->name('rules');
    Route::get('contact', [
        HomeController::class,
        'frontContactUs'
    ])
        ->name('contact-us');
    Route::get('about', [
        HomeController::class,
        'frontAboutUs'
    ])
        ->name('about-us');
    Route::group(['as' => 'ad.'], function () {
//  Route::get('', [
//   AdsController::class,
//   'frontAdSearch'
//  ])
//       ->name('search');
        Route::get('listing', [
            AdsController::class,
            'frontAdIndex'
        ])
            ->name('index.first.page');
        Route::get('listing/page/{page?}', [
            AdsController::class,
            'frontAdIndex'
        ])
            ->name('index');
        Route::get('newad', [
            AdsController::class,
            'frontAdCreate'
        ])
            ->name('create')
            ->middleware('auth');
        Route::get('ads/{slug:slug}', [
            AdsController::class,
            'frontAdShow'
        ])
            ->name('show');
        Route::group(['as' => 'category.city.'], function () {
            Route::get('blog/city_categories/{slug}/page/{page?}', [
                AdsController::class,
                'frontAdCategoryCityIndex'
            ])
                ->name('index');
            Route::get('blog/city_categories/{slug}', [
                AdsController::class,
                'frontAdCategoryCityIndex'
            ])
                ->name('index.first.page');
        });
        Route::group(['as' => 'category.'], function () {
            Route::get('product-category/{slug}/page/{page?}', [
                AdsController::class,
                'frontAdCategoryIndex'
            ])
                ->name('index');
            Route::get('product-category/{slug}', [
                AdsController::class,
                'frontAdCategoryIndex'
            ])
                ->name('index.first.page');
        });
        Route::group(['as' => 'tag.'], function () {
            Route::redirect('product-tag/{slug}/page/{page?}', config('app.url')
//    , [
//    AdsController::class,
//    'frontAdTagIndex'
//   ]
            );
//        ->name('index');
            Route::redirect('product-tag/{slug}', config('app.url')
//    , [
//    AdsController::class,
//    'frontAdTagIndex'
//   ]
            );
//        ->name('index.first.page');
        });
    });
    Route::group(['as' => 'blog.'], function () {
        Route::get('blog/{year}/{month}/{day}/{slug}', [
            BlogController::class,
            'frontBlogShow'
        ])
            ->name('show');
        Route::group(['as' => 'category.'], function () {
            Route::get('weblog-2/{page?}', [
                BlogController::class,
                'frontBlogCategoryIndexBlog'
            ])
                ->name('blog.index');
            Route::get('weblog-2', [
                BlogController::class,
                'frontBlogCategoryIndexBlog'
            ])
                ->name('blog.index.first.page');
            Route::get('اخبار/{page}', [
                BlogController::class,
                'frontBlogCategoryIndexNews'
            ])
                ->name('news.index');
            Route::get('اخبار', [
                BlogController::class,
                'frontBlogCategoryIndexNews'
            ])
                ->name('news.index.first.page');
        });
        Route::group(['as' => 'tag.'], function () {
            Route::redirect('tags/{slug}/page/{page}', config('app.url')
//    , [
//    BlogController::class,
//    'frontBlogTagIndex'
//   ]
            );
//        ->name('index');
            Route::redirect('tags/{slug}', config('app.url')
//              [
//    BlogController::class,
//    'frontBlogTagIndex'
//   ]
            );
//        ->name('index.first.page');
        });
    });
    Route::group([
        'as' => 'panel.user.',
        'middleware' => 'auth'
    ], function () {
        Route::get('profile/{user?}', [
//  Route::get('profile/?user={user?}', [
            UserPanelController::class,
            'frontPanelUserProfileShow'
        ])
            ->name('profile.show');
        Route::group([
            'prefix' => 'my-account'
        ], function () {
            Route::get('', [
                UserPanelController::class,
                'frontPanelUserAdIndex'
            ])
                ->name('ad.index');
            Route::get('edit-ad/{id}', [
                UserPanelController::class,
                'frontPanelUserAdEdit'
            ])
                ->name('ad.edit');
            Route::get('edit-ad/{id}/payment', [
                UserPanelController::class,
                'frontPanelUserAdPayment'
            ])
                ->name('ad.payment');
            Route::get('user-bookmark', [
                UserPanelController::class,
                'frontPanelUserFavoriteIndex'
            ])
                ->name('favorite.index')
                ->withoutMiddleware('auth');
            Route::get('orders', [
                UserPanelController::class,
                'frontPanelUserPaymentIndex'
            ])
                ->name('payment.index');
            Route::get('edit-account', [
                UserPanelController::class,
                'frontPanelUserProfileEdit'
            ])
                ->name('profile.edit');
        });
    });
});
//telegram
Route::group(['as' => ''], function () {
    /**
     * todo un comment
     */
// Route::post(st()->botApiToken, [
    Route::post('5000545191:AAEQRciGRoWXjw42zwHyqJMUWaQB53WFezw', [
        TelegramController::class,
        'index'
    ]);
    Route::get('/setwebhook', function () {
        return $response = Telegram::setWebhook(['url' => 'https://admin.razzar.ir/5000545191:AAEQRciGRoWXjw42zwHyqJMUWaQB53WFezw']);
    });
    Route::get('/deletewebhook', function () {
        $t = new Api('5000545191:AAEQRciGRoWXjw42zwHyqJMUWaQB53WFezw');
        return $t->deleteWebhook();
    });
    Route::get('/resetwebhook', function () {
        $t = new Api('5000545191:AAEQRciGRoWXjw42zwHyqJMUWaQB53WFezw');
        $t->deleteWebhook();
        $all = $t->getUpdates(['offset' => 423501055]);
        $response = Telegram::getWebhookInfo();
        $response2 = Telegram::setWebhook(['url' => 'https://admin.razzar.ir/5000545191:AAEQRciGRoWXjw42zwHyqJMUWaQB53WFezw']);
        return [

app/Models/Blog/Post.php
<?php

namespace App\Models\Blog;

use App\Models\Lib\ClearsResponseCache;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Spatie\Image\Manipulations;
use Spatie\MediaLibrary\InteractsWithMedia;
use Spatie\MediaLibrary\MediaCollections\Models\Media;
use Spatie\Tags\HasTags;
use Spatie\MediaLibrary\HasMedia;
use Str;

class Post extends Model implements HasMedia
{
 use HasFactory;
 use HasTags;
 use InteractsWithMedia;
 use ClearsResponseCache;

 /**
  * @var string
  */
 protected $table = 'blog_posts';
 /**
  * @var array<int, string>
  */
 protected $fillable = [
  'title',
  'slug',
  'content',
  'excerpt',
  'is_visible',
  'published_at',
  'seo_title',
  'seo_description',
  'user_id',
  'views',
  'extra',
  'created_at',
  'updated_at'
 ];
 /**
  * @var array<string, string>
  */
 protected $casts = [
  'published_at' => 'date',
 ];

 public function user(): BelongsTo
 {
  return $this->belongsTo(User::class);
 }

 public function category(): BelongsTo
 {
  return $this->belongsTo(Category::class, 'blog_category_id');
 }

 public function comments(): HasMany
 {
  return $this->hasMany(Comment::class, 'blog_post_id');
 }

 public function registerMediaConversions(Media $media = null): void
 {
  $this->addMediaConversion('thumb')
       ->crop(Manipulations::CROP_CENTER, 400, 333)
       ->performOnCollections('SpecialImage');
//  $this->addMediaConversion('singlePage')
//       ->crop(Manipulations::CROP_CENTER, 641, 534)
//       ->performOnCollections('SpecialImage');
  $this->addMediaConversion('150_150')
       ->crop(Manipulations::CROP_CENTER, 150, 150)
       ->performOnCollections('SpecialImage');
//  $this->addMediaConversion('300x300')
//       ->crop(Manipulations::CROP_CENTER, 150, 150)
//       ->performOnCollections('SpecialImage','gallery');
 }

 public function getLinkAttribute()
 {
  $t = jdate($this->created_at);
  return route('front.blog.show', [
   $t->getYear(),
   $t->getMonth(),
   $t->getDay(),
   $this->slug
  ]);
 }

 public function getLimitContentAttribute()
 {
  $content = Str::replace($this->title, '', $this->content);
  $content = strip_tags($content);
  return Str::limit($content);
 }

 public function getContentAttribute($value)
 {
  $stringWithPs = str_replace("\n\n", "</p><p>", $value);
  $stringWithPs = str_replace("\r\n", "</p><p>", $stringWithPs);
  $stringWithPs = str_replace("\n", "</p><p>", $stringWithPs);
  $stringWithPs = "<p>" . $stringWithPs . "</p>";
  $stringWithPs = str_replace("<p></p>", "", $stringWithPs);
  foreach ([
            'h1',
            'h2',
            'h3',
            'h4',
            'h5',
            'h6',
            'li',
            'ul',
            'ol',
            'p'
           ] as $item) {
   $stringWithPs = str_replace("<p><" . $item, "<" . $item, $stringWithPs);
   $stringWithPs = str_replace("</" . $item . "></p>", "</" . $item . ">", $stringWithPs);
  }
  return $stringWithPs;
 }

 public function setExtraAttribute($value)
 {
  if ($value) {
   $this->attributes['extra'] = json_encode($value);
  }
  else {
   $this->attributes['extra'] = json_encode([]);
  }
 }

 public function getExtraAttribute()
 {
  if (isset($this->attributes['extra'])) {
   return json_decode($this->attributes['extra']);
  }
//  return new \stdClass();
 }
}

app/Http/Controllers/Blog/BlogController.php
<?php

namespace App\Http\Controllers\Blog;

use App\Http\Controllers\Controller;
use App\Models\Ad\Ad;
use App\Models\Ad\Category;
use App\Models\Blog\Post;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Pagination\LengthAwarePaginator;
use Spatie\Tags\Tag;
use Str;

class BlogController extends Controller
{
 public function index($page = 1)
 {
  request()->request->add([
                           'page' => $page
                          ]);
  $posts = Post::
  whereHas('category', function (Builder $q) {
   return $q->whereSlug('blog');
  })
               ->latest()
               ->paginate(6);
  $urls = $posts->linkCollection();
  $urls = $urls->map(function ($item) {
   $item['url'] = Str::of($item['url'])
                     ->replaceMatches("/\d*\?page=/", '',);
   return $item;
  });
  return view('blog.index', compact('urls', 'posts',));
 }

 public function adCategory($slug, $page = 1)
 {
  request()->request->add([
                           'page' => $page
                          ]);
  $category = Category::whereSlug(urlencode($slug))
                      ->first();
//  return
  $ads = Ad::
  whereHas('categories', function (Builder $q) use ($slug) {
   return $q->whereSlug(urlencode($slug));
  })
           ->with('categories')
           ->latest()
           ->paginate(16);
  $urls = $this->getUrls($ads);
  return view('ad.category', compact('urls', 'ads', 'category'));
 }

 public function tags($slug, $page = 1)
 {
  request()->request->add([
                           'page' => $page
                          ]);
  $locale = $locale ?? app()->getLocale();
//  return
  $tag = Tag::where("slug->{$locale}", $slug)
            ->whereType('post')
            ->first();
  $ads = Post::
  whereHas('tags', function (Builder $q) use ($slug, $locale) {
   return $q->where("slug->{$locale}", $slug)
            ->whereType('post');
  })
             ->with('tags')
             ->latest()
             ->paginate(16);
  $urls = $this->getUrls($ads);
  return view('ad.tag', compact('urls', 'ads', 'tag'));
 }

 public function post($y, $m, $d, $slug)
 {
//  return
  $post = Post::whereSlug(urlencode($slug))
              ->firstOrFail();
  return view('blog.post', compact('post'));
 }

 public function getUrls($ads): \Illuminate\Support\Collection
 {
  $linkCollection = $ads->linkCollection();
  $urls = $linkCollection->map(function ($item) {
   $item['url'] = Str::of($item['url'])
                     ->replaceMatches("/\/page\/\d*/", '',)
                     ->replaceMatches("/\?/", '/',)
                     ->replaceMatches("/\=/", '/',);
   return $item;
  });
  return $urls;
 }
}

app/Http/Livewire/Front/Blog/Show.php
<?php

namespace App\Http\Livewire\Front\Blog;

use App\Models\Blog\Comment;
use App\Models\Blog\Post;
use App\Models\User;
use DB;
use Livewire\Component;

class Show extends Component
{
 public Post $post;
 public $content;
 public $name;
 public $email;
 public $site;
 protected $rules = [
  'content' => 'required|unique:blog_comments,content',
  'name' => 'required|alpha',
  'email' => 'email|required',
  'site' => 'nullable|url'
 ];
// protected $validationAttributes = [
//  'comment.content' => 'متن',
// ];
 protected $listeners = [
  'viewed'
 ];

 public function render()
 {
  return view('livewire.front.blog.show');
 }

 public function viewed()
 {
  DB::table($this->post->getTable())
    ->where('id', $this->post->id)
    ->update(['views' => $this->post->views + 1]);
 }

 public function storeComment()
 {
  $this->validate();
  $user = User::firstOrCreate(['email' => $this->email,], [
   'name' => $this->name,
   'extra' => [
    'site' => $this->site,
   ],
   'rule' => 'subscriber'
  ]);
  $this->post->comments()
             ->create([
                       'user_id' => $user->id,
                       'is_visible' => false,
                       'content' => $this->content,
                      ]);
  $this->dispatchBrowserEvent('swal:modal', [
   'icon' => 'success',
   'title' => 'دیدگاه شما با موفقیت ثبت.',
   'timerProgressBar' => true,
   'timer' => 20000,
   'confirmButtonText' => '<i class="fa fa-thumbs-up"></i> متوجه شدم',
   'width' => 300
  ]);
  $this->reset('content', 'name', 'email', 'site');
 }
}

resources/views/front/pages/blog/card.blade.php
<div class="col">
 <div class="card">
  <a href="{{$post->link}}">
   <img src="{{$post->getFirstMedia('SpecialImage')?->getUrl('thumb')}}"
        class="card-img-top"
        alt="...">
  </a>
  <p class="blog-detail">
   <span>
    <i class="far fa-calendar-o"></i> {{jdate($post->created_at)->ago()}}</span>
   <span>
    <i class="far fa-bookmark"></i> {{$post?->category?->name}} </span>
   {{--   <span><i class="fas fa-pie-chart"--}}
   {{--            aria-hidden="true"></i> {{$post->views}} بازدید</span>--}}
  </p>
  <div class="card-body bg-white  p-1 pt-2">
   <a href="{{$post->link}}"
      class="card-title">
    <h4 class="blog-item">{!! strip_tags(Str::padRight($post->title, 100))  !!}</h4>
   </a>
   <p class=" blog-meta">{!! $post->limit_content!!}</p>
  </div>
 </div>
</div>

resources/views/front/pages/blog/index2.blade.php
@extends('front.base')
@section('seo')
@endsection
@section('content')
 <section class=" blog-block m-0 pt-5">
  <div class="container">
   <article>
    <div class="row justify-content-center justify-content-md-between pt-4">
     <div class="col-4 hidden">
      <div class="mb-3 rounded bg-white shadow-2">
       <div class="p-2">
        <h5 class="text-center border-bottom p-2">آخرین ها</h5>
        <ul class="pe-2 ps-2 list-style-type">
         @php
          $latestPosts=\App\Models\Blog\Post::latest()->limit(s()->numberPostsSidebarIndexBlogPage)->get();
         @endphp
         @foreach($latestPosts as $key=>$post0)
          <li>
           <a href="{{$post0->link}}">{{$post0->title}}</a>
          </li>
         @endforeach
        </ul>
       </div>
      </div>
      <div class="mb-3 rounded bg-white shadow-2">
       <div class="p-2 pe-3">
        <!--به تگ aدر li ها name اضاقه کردن کلاس  -->
        <ul class="p-0">
         @php
          $ads=\App\Models\Ad\Ad::with(['user', 'media' => function ($q) {
                    $q->whereCollectionName('SpecialImage');
                   },])->whereIsVisible(true)->latest()->limit(s()->numberAdsSidebarIndexBlogPage)->get();
         @endphp
         @foreach($ads as $key=>$ad)
          <li @class([
        'border-bottom'=> !$loop->last
])>
           <div class="d-flex align-items-start justify-content-between">
            <div class="ms-1">
             <a class="name"
                href="{{route('front.ad.show',[$ad->slug])}}">{{$ad?->title}}</a>
             <p class="text-success text-little">تماس بگیرید</p>
            </div>
            <div class="p-2 pe-0 pb-0">
             <a href="{{route('front.ad.show',[$ad->slug])}}">
              <img src="{{$ad?->getFirstMedia('SpecialImage')?->getUrl('70_70')}}"
                   alt=""
                   width="55px"
                   height="55px"
                   class="border">
             </a>
            </div>
           </div>
          </li>

         @endforeach
        </ul>
       </div>
      </div>
     </div>
     <!--  -->
     <div class="col-10 col-md-8">
      <div>
       @forelse($posts as $post)
        <article class="rounded shadow-2 d-flex p-md-4 mb-3 bg-white flex-wrap flex-lg-nowrap">
         <a class="col-12 col-md-4 d-inline-block rounded position-relative"
            href="{{$post->link}}">
          <img src="{{$post?->getFirstMedia('SpecialImage')?->getUrl('150_150')}}"
               alt=""
               class="poster rounded"
               width="220px"
               height="170px">
          <span class="date">{{jdate($post->created_at)->format('j F')}}</span>
         </a>
         <div class="ms-0 ms-md-0 p-2 pt-3 p-lg-0 article-para">
          <a href="{{$post->link}}">
           <h2 class="text-secondary card_blog_title">{{$post->title}}</h2></a>
          <p class="text-secondary">{!!  $post->limit_content !!}</p>
          <a href="{{$post->link}}"
             class="text-success text-little">بیشتر بخوانید</a>
         </div>
        </article>
       @empty
        <article class="rounded shadow-2 d-flex p-md-4 mb-3 bg-white flex-wrap">
         مقاله ای یافت نشد.
        </article>
       @endforelse
       @if($posts->count())
        <div class="mt-3 w-100 d-flex justify-content-center">
         <nav aria-label="Page navigation example">
          <ul class="pagination">
           @foreach($urls as $url)
            <li class="page-item rounded @if($url['active']) active @endif  @if(!$url['url'] )disabled
@endif"><a class="page-link  bg-transparent"
           href="{{$url['url']}}">{!! $url['label'] !!}</a></li>
           @endforeach
          </ul>
         </nav>
        </div>
       @endif
      </div>
     </div>
    </div>
   </article>
  </div>
 </section>
@endsection

resources/views/front/pages/blog/show2.blade.php
@extends('front.base')

@section('head')
 <link rel="stylesheet"
       href="{{asset('css/content-styles.css')}}"
       type="text/css">


@endsection
@section('content')
 <section class=" blog-block m-0 pt-5">
  <div class="container">
   <article>
    <div class="row row-cols-1 row-cols-2 pt-4 article">
     <div class="col-12 col-md-4">
      <div class="mb-3 rounded bg-white shadow">
       <div class="p-2">
        <h5 class="text-center border-bottom p-2">آخرین ها</h5>
        <!--blue-list-style اضاقه کردن کلاس -->
        <ul class="pe-2 ps-2 list-style-type blue-list-style">
         @php
          $posts=\App\Models\Blog\Post::latest()->limit(s()->numberPostsSidebarShowBlogPage)->get();
         @endphp
         @foreach($posts as $key=>$post0)
          <li>
           <a href="{{$post0->link}}">{{$post0->title}}</a>
          </li>
         @endforeach
        </ul>
       </div>
      </div>
      <div class="mb-3 rounded bg-white shadow">
       <h5 class="text-center border-bottom p-3">آخرین آگهی‌ها</h5>
       <div class="p-2">
        <!--  -->
        <ul class="p-0">
         @php
          $ads=\App\Models\Ad\Ad::with(['user', 'media' => function ($q) {
                    $q->whereCollectionName('SpecialImage');
                   },])->whereIsVisible(true)->latest()->limit(s()->numberAdsSidebarShowBlogPage)->get();
         @endphp
         @foreach($ads as $key=>$ad)
          <li @class([
        'border-bottom'=> !$loop->last
])>
           <div class="d-flex align-items-center">
            <div class="p-2 pe-0 pb-2">
             <a href="{{route('front.ad.show',[$ad->slug])}}">
              <img src="{{$ad?->getFirstMedia('SpecialImage')?->getUrl('70_70')}}"
                   alt=""
                   width="50px"
                   height="50px"
                   class="border rounded">
             </a>
            </div>
            <div class="ms-3">
             <a class="name"
                href="{{route('front.ad.show',[$ad->slug])}}">{{$ad?->title}}</a>
             <p class="text-success text-little m-0">تماس بگیرید</p>
            </div>
           </div>
          </li>
         @endforeach
        </ul>
       </div>
      </div>
     </div>
     <!--  -->
     <livewire:front.blog.show :post="$post"/>
    </div>
   </article>
  </div>
 </section>
@endsection
@section('script')

 <script>
   $(document).ready(function () {
     Livewire.emit('viewed')
   })
 </script>
@endsection